Subject: Re: [PATCH v4 11/15] KVM: arm64: Guest exit handlers for nVHE hyp

From: Marc Zyngier <[email-masked]>
Date: Mon, 23 Aug 2021 13:10:11 +0100

Hi Fuad,

On Mon, 23 Aug 2021 11:21:05 +0100,
Fuad Tabba <[email-masked]> wrote:
> 
> Hi Marc,
> 
> On Thu, Aug 19, 2021 at 3:36 PM Marc Zyngier <[email-masked]> wrote:
> > I realised that I wasn't very forthcoming here. I've decided to put
> > the code where my mouth is and pushed out a branch [1] with your first
> > 10 patches, followed by my own take on this particular problem. It
> > compiles, and even managed to boot a Debian guest on a nVHE box.
> >
> > As you can see, most of the early exit handling is now moved to
> > specific handlers, unifying the handling. For the protected mode, you
> > can provide your own handler array (just hack
> > kvm_get_exit_handler_array() to return something else), which will do
> > the right thing as long as you call into the existing handlers first.
> > When it comes to the ELR/SPSR handling, it is better left to the
> > individual handlers (which we already do in some cases, see how we
> > skip instructions, for example).
> > Please let me know what you think.
> 
> Thanks a lot for this and sorry for being late to reply. I've been
> travelling.

No worries, it should be me who apologies for getting to this that late.

> I think that your proposal looks great. All handling is consolidated
> now and handling for protected VMs can just be added on top. There are
> some small issues with what parameters we need (e.g., passing struct
> kvm to kvm_get_exit_handler_array), but I will sort them out and
> submit them in the next round.

OK. Please base these changes on top of the three patches in my
branch, which I will update with actual commit messages.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel